[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomDrawGrid.DeleteColRow

Deletes a column or a row at the specified position.

## Declaration

Source position: grids.pas line 1454

`public procedure TCustomDrawGrid.DeleteColRow(`
`IsColumn: Boolean;`
`index: Integer`
`);`

## Arguments

`IsColumn` |  | True to delete a column in the method, False for a row.
`index` |  | Column or row number deleted in the method.

## Description

DeleteColRow is a method used to delete the column or row at the specified position.

IsColumn determines whether a column or a row is affected in the operation. When set to True, a column is deleted. Otherwise, a row is deleted.

Index contains the column or row number deleted in the method. An exception will be raised if Index contains an invalid value for the ColCount or RowCount in the grid control.

DeleteColRow calls DoOPDeleteColRow with the parameter values to perform the delete operation.

DeleteColRow is used in the implementation of the DeleteCol and DeleteRow methods.

Use InsertColRow to insert a column or row at a given position in the grid. Use MoveColRow to move a column or row to a new position in the grid. Use ExchangeColRow to swap column or row values at the specified positions in the grid.